signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SignonDaemonNS::SignonDaemonConfiguration Class Reference

The daemon's configuration object; loads date from the daemon configuration file. More...

`#include <signondaemon.h>`

## Public Member Functions
| SignonDaemonConfiguration ()
| ~SignonDaemonConfiguration ()
const CAMConfiguration & | camConfiguration () const
void | setEncryptionPassphrase (const QByteArray &passphrase)
void | load ()
QString | pluginsDir () const
QString | extensionsDir () const
QString | busAddress () const
uint | daemonTimeout () const
uint | identityTimeout () const
uint | authSessionTimeout () const

## Detailed Description

The daemon's configuration object; loads date from the daemon configuration file.

Definition at line 62 of file signondaemon.h.

## Constructor & Destructor Documentation

SignonDaemonNS::SignonDaemonConfiguration::SignonDaemonConfiguration | ( |  | ) |

Definition at line 75 of file signondaemon.cpp.

SignonDaemonNS::SignonDaemonConfiguration::~SignonDaemonConfiguration | ( |  | ) |

Definition at line 84 of file signondaemon.cpp.

References TRACE.

## Member Function Documentation

uint SignonDaemonNS::SignonDaemonConfiguration::authSessionTimeout | ( |  | ) | const
| inline

Definition at line 82 of file signondaemon.h.

QString SignonDaemonNS::SignonDaemonConfiguration::busAddress | ( |  | ) | const
| inline

Definition at line 79 of file signondaemon.h.

const CAMConfiguration& SignonDaemonNS::SignonDaemonConfiguration::camConfiguration | ( |  | ) | const
| inline

Definition at line 68 of file signondaemon.h.

uint SignonDaemonNS::SignonDaemonConfiguration::daemonTimeout | ( |  | ) | const
| inline

Definition at line 80 of file signondaemon.h.

QString SignonDaemonNS::SignonDaemonConfiguration::extensionsDir | ( |  | ) | const
| inline

Definition at line 78 of file signondaemon.h.

uint SignonDaemonNS::SignonDaemonConfiguration::identityTimeout | ( |  | ) | const
| inline

Definition at line 81 of file signondaemon.h.

void SignonDaemonNS::SignonDaemonConfiguration::load | ( |  | ) |

Definition at line 107 of file signondaemon.cpp.

References SignonDaemonNS::CAMConfiguration::addSetting(), BLAME, and SignonDaemonNS::CAMConfiguration::setStoragePath().

QString SignonDaemonNS::SignonDaemonConfiguration::pluginsDir | ( |  | ) | const
| inline

Definition at line 77 of file signondaemon.h.

void SignonDaemonNS::SignonDaemonConfiguration::setEncryptionPassphrase | ( | const QByteArray & | passphrase | ) |
| inline

Definition at line 71 of file signondaemon.h.

References SignonDaemonNS::CAMConfiguration::m_encryptionPassphrase.

The documentation for this class was generated from the following files:

- src/signond/signondaemon.h
- src/signond/signondaemon.cpp